from fastapi import APIRouter
from app.api.v1.endpoints import auth, users, mental_health, audio, chat

api_router = APIRouter()

# Include all endpoint routers
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(mental_health.router, prefix="/mental-health", tags=["mental health"])
api_router.include_router(audio.router, prefix="/audio", tags=["audio"])
api_router.include_router(chat.router, prefix="/chat", tags=["chat"])