from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session

from app.db.dependencies import get_db
from app.core.security import get_current_user
from app.schemas.user import UserInDB
from app.schemas.chat import ChatMessage, ChatResponse

router = APIRouter()

@router.post("/message", response_model=ChatResponse)
async def process_chat_message(
    message: ChatMessage,
    current_user: UserInDB = Depends(get_current_user),
    db: Session = Depends(get_db)
):
    """
    Process a chat message using GPT-4.1 and return a response.
    """
    # Will be implemented after OpenAI GPT integration
    # Placeholder for now
    raise HTTPException(
        status_code=status.HTTP_501_NOT_IMPLEMENTED,
        detail="Endpoint not implemented yet",
    )